### Constructor

# Gtk.BuilderListItemFactory.new_from_resource

#### Declaration [src]

    GtkListItemFactory*
    gtk_builder_list_item_factory_new_from_resource (
      GtkBuilderScope* scope,
      const char* resource_path
    )

#### Description [src]

Creates a new `GtkBuilderListItemFactory` that instantiates widgets using data read from the given `resource_path` to pass to `GtkBuilder`.

#### Parameters

`scope` | `GtkBuilderScope`
| A scope to use when instantiating
| Can be `NULL`
| Ownership is not transferred to the callee
`resource_path` | `const char*`
| valid path to a resource that contains the data
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkListItemFactory`
a new `GtkBuilderListItemFactory`
Ownership of the data is transferred to the caller